DRM_GTF_MODE(9)

NAME
drm_gtf_mode - create the modeline based on the GTF algorithm

SYNOPSIS

struct drm_display_mode * drm_gtf_mode(struct drm_device * dev, int hdisplay, int vdisplay, int vrefresh, bool interlaced, int margins);

ARGUMENTS

dev
    drm device

hdisplay
    hdisplay size

vdisplay
    vdisplay size

vrefresh
    vrefresh rate.

interlaced
    whether to compute an interlaced mode

margins
    desired margin (borders) size

DESCRIPTION

return the modeline based on GTF algorithm

This function is to create the modeline based on the GTF algorithm.

GENERALIZED TIMING FORMULA IS DERIVED FROM

GTF Spreadsheet by Andy Morrish (1/5/97)

AVAILABLE AT HTTP

//www.vesa.org

And it is copied from the file of xserver/hw/xfree86/modes/xf86gtf.c. What I have done is to translate it by using integer calculation. I also refer to the function of fb_get_mode in the file of drivers/video/fbmon.c

STANDARD GTF PARAMETERS

M = 600 C = 40 K = 128 J = 20

RETURNS

The modeline based on the GTF algorithm stored in a drm_display_mode object. The display mode object is allocated with drm_mode_create. Returns NULL when no mode could be allocated.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT